# Uses of Enum Class
org.apache.sysds.runtime.codegen.SpoofRowwise.RowType

Packages that use SpoofRowwise.RowType
Package
Description
org.apache.sysds.hops.codegen.cplan
org.apache.sysds.hops.codegen.template
org.apache.sysds.runtime.codegen
org.apache.sysds.runtime.einsum

## Uses of SpoofRowwise.RowType in org.apache.sysds.hops.codegen.cplan

Methods in org.apache.sysds.hops.codegen.cplan that return SpoofRowwise.RowType
Modifier and Type
Method
Description
`SpoofRowwise.RowType`
CNodeRow.`getRowType()`
Methods in org.apache.sysds.hops.codegen.cplan with parameters of type SpoofRowwise.RowType
Modifier and Type
Method
Description
`void`
CNodeRow.`setRowType(SpoofRowwise.RowType type)`

## Uses of SpoofRowwise.RowType in org.apache.sysds.hops.codegen.template

Methods in org.apache.sysds.hops.codegen.template that return SpoofRowwise.RowType
Modifier and Type
Method
Description
`static SpoofRowwise.RowType`
TemplateUtils.`getRowType(Hop output, Hop... inputs)`

## Uses of SpoofRowwise.RowType in org.apache.sysds.runtime.codegen

Methods in org.apache.sysds.runtime.codegen that return SpoofRowwise.RowType
Modifier and Type
Method
Description
`SpoofRowwise.RowType`
SpoofRowwise.`getRowType()`
`static SpoofRowwise.RowType`
SpoofRowwise.RowType.`valueOf(int rowType)`
Returns the enum constant of this class with the specified name.
`static SpoofRowwise.RowType`
SpoofRowwise.RowType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SpoofRowwise.RowType[]`
SpoofRowwise.RowType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.apache.sysds.runtime.codegen with parameters of type SpoofRowwise.RowType
Modifier
Constructor
Description
``
`SpoofCUDARowwise(SpoofRowwise.RowType type, long constDim2, boolean tB1, int reqVectMem, int id, SpoofCUDAOperator.PrecisionProxy ep)`
``
`SpoofRowwise(SpoofRowwise.RowType type, long constDim2, boolean tB1, int reqVectMem)`

## Uses of SpoofRowwise.RowType in org.apache.sysds.runtime.einsum

Constructors in org.apache.sysds.runtime.einsum with parameters of type SpoofRowwise.RowType
Modifier
Constructor
Description
``
`EinsumSpoofRowwise(EOpNodeFuse.EinsumRewriteType einsumRewriteType, SpoofRowwise.RowType rowType, long constDim2, int abCount, boolean bSupplied, int aCount, int azCount, int zSize)`